## libmath-planepath-perl 113

=== devel/Makefile ===
# Copyright 2011, 2012, 2013 Kevin Ryde

# This file is part of Math-PlanePath.
#
# Math-PlanePath is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
#
# Math-PlanePath is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with Math-PlanePath.  If not, see <http://www.gnu.org/licenses/>.


# CFLAGS = -Wall -O0 -g
CFLAGS = -Wall -O2 -DINLINE=inline -g
LOADLIBES = -lm

## libmath-planepath-perl 104

=== debian/changelog ===
libmath-planepath-perl (104-1) unstable; urgency=low

  * Initial Release. (Closes: #689654)

 -- Florian Schlichting <fsfs@debian.org>  Thu, 23 May 2013 22:48:15 +0200

=== debian/control ===
Source: libmath-planepath-perl
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Florian Schlichting <fsfs@debian.org>
Build-Depends: debhelper (>= 8),
 perl
Build-Depends-Indep: libconstant-defer-perl,
 libdata-float-perl,
 libmath-libm-perl,
 libnumber-fraction-perl
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libmath-planepath-perl.git
Vcs-Git: git://git.debian.org/pkg-perl/packages/libmath-planepath-perl.git
Homepage: http://search.cpan.org/dist/Math-PlanePath/

Package: libmath-planepath-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 libconstant-defer-perl,
 libmath-libm-perl
Description: Perl module to calculate mathematical paths through a 2-D plane
 Math::PlanePath is a collection of Perl modules to enerate some paths through
 the 2-D X,Y plane, mainly integer oriented, and including
 .
  * Square numbering of Ulam's spiral
  * Pentagonal, hexagonal, heptagonal spirals
  * Pyramid and triangular spirals and rows
  * An infinite knight's tour
  * Vogel's sunflower floret (and variations)
  * Sacks' quadratic spiral
  * Spiral of Theodorus
  * Peano, Hilbert and Z-Order
  * Gosper's flowsnake
  * Koch curve and quadric curve
  * Sierpinski triangle
  * Dragon curves
  * Pixellated rings, and by hypotenuse distance
  * Trees of rationals and Pythagorean triples
  * Some complex base related patterns

=== debian/watch ===
version=3
http://search.cpan.org/dist/Math-PlanePath/   .*/Math-PlanePath-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## libmath-planepath-perl 113

=== debian/changelog ===
libmath-planepath-perl (113-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 113

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 28 Dec 2013 23:11:22 +0100

libmath-planepath-perl (112-1) unstable; urgency=medium

  * Team upload.

  * debian/control: Changed: Homepage field changed to metacpan.org URL.
  * debian/watch: use metacpan-based URL.
  * debian/copyright: Source URL changed to metacpan.org URL.
  * Add debian/gbp.conf to filter out debian/ dir on import.

  * New upstream release.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Mon, 09 Dec 2013 22:55:12 +0100

libmath-planepath-perl (110-1) unstable; urgency=low

  * Import Upstream version 110

 -- Florian Schlichting <fsfs@debian.org>  Sun, 08 Sep 2013 22:16:57 +0200

libmath-planepath-perl (109-1) unstable; urgency=low

  * Import Upstream version 109

 -- Florian Schlichting <fsfs@debian.org>  Mon, 26 Aug 2013 13:53:34 +0200

libmath-planepath-perl (108-1) unstable; urgency=low

  * Imported Upstream version 108.
  * Update Vcs-Git URL to canonical location.

 -- Florian Schlichting <fsfs@debian.org>  Wed, 07 Aug 2013 20:48:32 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  libdata-float-perl,
  libmath-libm-perl,
  libnumber-fraction-perl
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libmath-planepath-perl.git
-Vcs-Git: git://git.debian.org/pkg-perl/packages/libmath-planepath-perl.git
-Homepage: http://search.cpan.org/dist/Math-PlanePath/
+Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libmath-planepath-perl.git
+Homepage: https://metacpan.org/release/Math-PlanePath
 
 Package: libmath-planepath-perl
 Architecture: all

## libmath-planepath-perl 116

=== debian/changelog ===
libmath-planepath-perl (116-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add another ucblogo source file to the lintian overrides.

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Jun 2014 14:42:30 +0200

libmath-planepath-perl (115-1) unstable; urgency=medium

  * Import Upstream version 115
  * Bump copyright years

 -- Florian Schlichting <fsfs@debian.org>  Thu, 24 Apr 2014 00:55:27 +0200

## libmath-planepath-perl 117

=== debian/changelog ===
libmath-planepath-perl (117-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * New upstream release.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Mon, 13 Oct 2014 22:11:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: libmath-planepath-perl
+Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Uploaders: Florian Schlichting <fsfs@debian.org>
 Section: perl
 Priority: optional
-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
-Uploaders: Florian Schlichting <fsfs@debian.org>
 Build-Depends: debhelper (>= 8),
- perl
+               perl
 Build-Depends-Indep: libconstant-defer-perl,
- libdata-float-perl,
- libmath-libm-perl,
- libnumber-fraction-perl
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libmath-planepath-perl.git
+                     libdata-float-perl,
+                     libmath-libm-perl,
+                     libnumber-fraction-perl
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libmath-planepath-perl.git
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libmath-planepath-perl.git
 Homepage: https://metacpan.org/release/Math-PlanePath
 
 Package: libmath-planepath-perl
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends},
- libconstant-defer-perl,
- libmath-libm-perl
+Depends: ${misc:Depends},
+         ${perl:Depends},
+         libconstant-defer-perl,
+         libmath-libm-perl
 Description: Perl module to calculate mathematical paths through a 2-D plane
  Math::PlanePath is a collection of Perl modules to enerate some paths through
  the 2-D X,Y plane, mainly integer oriented, and including

## libmath-planepath-perl 120

=== debian/changelog ===
libmath-planepath-perl (120-1) unstable; urgency=medium

  * Team upload.
  * Add debian/upstream/metadata.
  * Import upstream version 120.
    Fixes "FTBFS: Failed 1/103 test programs. 1/34754 subtests failed."
    (Closes: #795589)
  * Add a new lintian override for spelling-error-in-manpage on a French
    title of a paper.
  * Bump debhelper compatibility level to 9.

 -- gregor herrmann <gregoa@debian.org>  Tue, 18 Aug 2015 12:37:19 +0200

libmath-planepath-perl (119-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update section name in debian/gbp.conf.
  * Update years of upstream copyright.
  * Mark package as autopkgtest-able.

 -- gregor herrmann <gregoa@debian.org>  Sun, 05 Jul 2015 19:00:20 +0200

## libmath-planepath-perl 122

=== debian/changelog ===
libmath-planepath-perl (122-1) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.

  [ Lucas Kanashiro ]
  * Import upstream version 122

  [ gregor herrmann ]
  * Update years of upstream copyright.

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Sun, 10 Jan 2016 22:56:20 -0200

libmath-planepath-perl (121-1) unstable; urgency=medium

  * Import upstream version 121
  * Bump years of packaging copyright

 -- Florian Schlichting <fsfs@debian.org>  Wed, 21 Oct 2015 23:05:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Florian Schlichting <fsfs@debian.org>
 Section: perl
+Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                perl
 Build-Depends-Indep: libconstant-defer-perl,
                      libdata-float-perl,

## libmath-planepath-perl 123

=== debian/changelog ===
libmath-planepath-perl (123-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ Lucas Kanashiro ]
  * Import upstream version 123
  * Declare compliance with Debian policy 3.9.8

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Mon, 02 May 2016 23:59:32 -0300

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                      libdata-float-perl,
                      libmath-libm-perl,
                      libnumber-fraction-perl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libmath-planepath-perl.git
-Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libmath-planepath-perl.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libmath-planepath-perl.git
 Homepage: https://metacpan.org/release/Math-PlanePath
 
 Package: libmath-planepath-perl

## libmath-planepath-perl 124

=== debian/changelog ===
libmath-planepath-perl (124-1) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Lucas Kanashiro ]
  * Import upstream version 124
  * Update years of upstream copyright
  * Bump debhelper compatibility level to 10
  * Declare compliance with Debian Policy 4.0.0

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 26 Jun 2017 19:45:59 -0300

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                perl
 Build-Depends-Indep: libconstant-defer-perl,
                      libdata-float-perl,
                      libmath-libm-perl,
                      libnumber-fraction-perl
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libmath-planepath-perl.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libmath-planepath-perl.git
 Homepage: https://metacpan.org/release/Math-PlanePath

## libmath-planepath-perl 125

=== debian/changelog ===
libmath-planepath-perl (125-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Declare compliance with Debian Policy 4.1.3.

 -- gregor herrmann <gregoa@debian.org>  Tue, 02 Jan 2018 23:42:41 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                      libdata-float-perl,
                      libmath-libm-perl,
                      libnumber-fraction-perl
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libmath-planepath-perl.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libmath-planepath-perl.git
 Homepage: https://metacpan.org/release/Math-PlanePath

## libmath-planepath-perl 126

=== debian/changelog ===
libmath-planepath-perl (126-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * New upstream release.
  * Update years of upstream copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 18 Mar 2018 18:19:38 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                      libmath-libm-perl,
                      libnumber-fraction-perl
 Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libmath-planepath-perl.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libmath-planepath-perl.git
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmath-planepath-perl
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmath-planepath-perl.git
 Homepage: https://metacpan.org/release/Math-PlanePath
 
 Package: libmath-planepath-perl

=== debian/watch ===
version=3
https://metacpan.org/release/Math-PlanePath   .*/Math-PlanePath-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## libmath-planepath-perl 127

=== devel/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2011, 2012, 2013 Kevin Ryde
+# Copyright 2011, 2012, 2013, 2015 Kevin Ryde
 
 # This file is part of Math-PlanePath.
 #
@@ -19,3 +19,13 @@
 # CFLAGS = -Wall -O0 -g
 CFLAGS = -Wall -O2 -DINLINE=inline -g
 LOADLIBES = -lm
+
+size:
+	perl -e '$$/=undef; $$_=<>; \
+          s{(?<!\")[\\][\\].*}{}g; \
+          s<[ {}]><>g; \
+          s<""><" ">g; \
+          s{quit.*}{}s; \
+          s{\n}{}sg; \
+          print $$_,"\n",length($$_),"\n"' \
+        <flowsnake-ascii-small.gp \

=== debian/changelog ===
libmath-planepath-perl (127-1) unstable; urgency=medium

  * Team upload.

  * New upstream version 127
  * d/control:
    - Declare compliance with Debian Policy 4.4.1
    - Bump debhelper-compat level to 12
    - Add Rules-Requires-Root field
    - Annotate test-only build dependencies with <!nocheck>
    - Fix typo in long description
  * d/copyright:
    - Refresh years of upstream copyright
    - Refresh Debian Files stanza
    - Sort header stanza
  * d/patches:
    - Add patch spelling-error-in-manpage
  * d/u/metadata:
    - Add Bug-* fields, drop deprecated Contact, Name fields
  * d/watch:
    - Migrate to version 4 watch file format

 -- Nick Morrott <nickm@debian.org>  Wed, 11 Dec 2019 03:26:58 +0000

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                perl
-Build-Depends-Indep: libconstant-defer-perl,
-                     libdata-float-perl,
-                     libmath-libm-perl,
-                     libnumber-fraction-perl
-Standards-Version: 4.1.3
+Build-Depends-Indep: libconstant-defer-perl <!nocheck>,
+                     libdata-float-perl <!nocheck>,
+                     libmath-libm-perl <!nocheck>,
+                     libnumber-fraction-perl <!nocheck>
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmath-planepath-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmath-planepath-perl.git
 Homepage: https://metacpan.org/release/Math-PlanePath
+Rules-Requires-Root: no
 
 Package: libmath-planepath-perl
 Architecture: all
@@ -22,7 +23,7 @@
          libconstant-defer-perl,
          libmath-libm-perl
 Description: Perl module to calculate mathematical paths through a 2-D plane
- Math::PlanePath is a collection of Perl modules to enerate some paths through
+ Math::PlanePath is a collection of Perl modules to generate some paths through
  the 2-D X,Y plane, mainly integer oriented, and including
  .
   * Square numbering of Ulam's spiral

## libmath-planepath-perl 129

=== debian/changelog ===
libmath-planepath-perl (129-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 129.
  * Update years of upstream copyright.
  * Declare compliance with Debian Policy 4.5.1.

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Jan 2021 21:39:26 +0100

libmath-planepath-perl (128-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 128.
  * Update years of upstream copyright.
  * Drop patch spelling-error-in-manpage (applied upstream).
  * Declare compliance with Debian Policy 4.5.0.
  * Bump debhelper-compat to 13.
  * Update lintian overrides.
    One tag has been renamed, and another new one asks for an override
    (spelling-in-override-comment).

 -- gregor herrmann <gregoa@debian.org>  Mon, 28 Sep 2020 19:24:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                perl
 Build-Depends-Indep: libconstant-defer-perl <!nocheck>,
                      libdata-float-perl <!nocheck>,
                      libmath-libm-perl <!nocheck>,
                      libnumber-fraction-perl <!nocheck>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmath-planepath-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmath-planepath-perl.git
 Homepage: https://metacpan.org/release/Math-PlanePath

=== debian/watch ===
version=4
https://metacpan.org/release/Math-PlanePath   .*/Math-PlanePath-v?@ANY_VERSION@@ARCHIVE_EXT@$
